Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class PerRequestRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager
          org.jbpm.runtime.manager.impl.PerRequestRuntimeManager

All Implemented Interfaces:
  RuntimeManager, org.kie.internal.runtime.manager.InternalRuntimeManager

    public class PerRequestRuntimeManager

extends AbstractRuntimeManager

RuntimeManager implementation that is backed by "Per Request" strategy - meaning that for every call to `getRuntimeEngine` new instance will be delivered with brand new KieSession and TaskService. The only exception to this is when invoking within same transaction from different places - as then manager caches currently active instance in ThreadLocal to avoid concurrent modifications - or "lost" of data. On dispose of runtime engine manager will ensure that it is destroyed as well so it will get removed from data base to avoid out dated data.
This implementation does not require any special `Context` to proceed.

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`activeManagers, environment, identifier`

Constructor Summary
`PerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, org.kie.internal.runtime.manager.SessionFactory factory, org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory, String identifier)`

Method Summary
`void` | `close()`
`void` | `disposeRuntimeEngine(RuntimeEngine runtime)`
`org.kie.internal.runtime.manager.SessionFactory` | `getFactory()`
`RuntimeEngine` | `getRuntimeEngine(Context<?> context)`
`org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory()`
`void` | `init()`
`void` | `setFactory(org.kie.internal.runtime.manager.SessionFactory factory)`
`void` | `setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)`
`void` | `validate(KieSession ksession, Context<?> context)`

Methods inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`attachManager, canDestroy, close, configureRuntimeOnTaskService, getEnvironment, getIdentifier, registerDisposeCallback, registerItems, removeRuntimeFromTaskService, setEnvironment, setIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerRequestRuntimeManager

    public PerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                    org.kie.internal.runtime.manager.SessionFactory factory,
                                    org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory,
                                    String identifier)

Method Detail

### getRuntimeEngine

    public RuntimeEngine getRuntimeEngine(Context<?> context)

### validate

    public void validate(KieSession ksession,
                         Context<?> context)
                  throws IllegalStateException

  Throws:
    `IllegalStateException`

### disposeRuntimeEngine

    public void disposeRuntimeEngine(RuntimeEngine runtime)

### close

    public void close()

  Specified by:
    `close` in interface `RuntimeManager`
  Overrides:
    `close` in class `AbstractRuntimeManager`

### getFactory

    public org.kie.internal.runtime.manager.SessionFactory getFactory()

### setFactory

    public void setFactory(org.kie.internal.runtime.manager.SessionFactory factory)

### getTaskServiceFactory

    public org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory()

### setTaskServiceFactory

    public void setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)

### init

    public void init()

  Specified by:
    `init` in class `AbstractRuntimeManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.